#include "CS_JackAir.h"
const int CS_JackSTATENAME_AIR = ++entityStateID;
CS_JackAir::CS_JackAir()
{
	stateID = CS_JackSTATENAME_AIR;
}

void CS_JackAir::SetAir(int index)
{
	auto we = e.lock();
	if (!we)
		return;
	//ÉèÖÃ¶¯»­
	const wchar_t* jump = L"";
	if (we->ud == -1)
		jump = we->lr == 0 ? L"mc_jack_jump_lu" : L"mc_jack_jump_ru";
	else if (we->ud == 0)
		jump = we->lr == 0 ? L"mc_jack_jump_l" : L"mc_jack_jump_r";
	else if (we->ud == 1)
		jump = we->lr == 0 ? L"mc_jack_jump_ld" : L"mc_jack_jump_rd";
	we->ani.sprite_index = jump;
	we->ani.image_index = index;
}

void CS_JackAir::State()
{
	auto we = e.lock();
	if (!we)
		return;
	if (we->vy < 0)
		SetAir(0);
	else
		SetAir(1);
}

void CS_JackAir::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
